<!--HillCrypto interface -->
<div class="ui raised container segment">
  <h2 class="ui header">HillCryptoSystem</h2>
  <div class="ui form">
    <div class="field">
      <div class="ui right pointing label">
        Sélectionnez un alphabet
      </div>
      <select [(ngModel)]="hill.alphabet" name="alphabet" class="ui search dropdown">
        <option value="Radix64Strings()">Radix64Strings()</option>
        <option value="AlphabeticStrings()">AlphabeticStrings()</option>
      </select>
    </div>
  </div>
  <br>
  <div class="inline field">
    <div class="ui right pointing label">
      Entrer le texte à crypté
    </div>
    <div class="ui input focus">
      <input [(ngModel)]="hill.text" name="hill" type="text">
    </div>
  </div>
  <br>
  <div class="inline field">
    <div class="ui right pointing label">
      Longueur de bloc des matrices spécifiant les permutations de bloc
    </div>
    <div class="ui input focus">
      <input [(ngModel)]="hill.matriceSize" min="2" name="hillMatrice" type="number">
    </div>
  </div>
  <br>
  <div class="ui bottom pointing label">
    Remplissez la matrice clé
  </div>
  <br>
  <br>
  <div class="ui four column doubling stackable grid container">
    <div class="">
      <ng-container *ngFor="let col of this.numberToArray(this.hill.matriceSize, true)">
        <div class="ui input focus" *ngFor="let cell of this.numberToArray(this.hill.matriceSize, true)">
          <input type="text" size="5" required id="hillmatrice_{{col}}{{cell}}" name="hillmatrice_{{col}}{{cell}}"/>
        </div>
        <br/>
      </ng-container>
    </div>
  </div>
  <br>
  <div class="ui animated button" tabindex="0" (click)="crypter('hill')">
    <div class="visible content">Crypter</div>
    <div class="hidden content">
      <i class="right arrow icon"></i>
    </div>
  </div>
  <br>
  <br>
  <div class="ui bottom pointing label">
    Le resultat obtenu
  </div>
  <br>
  <div id="hillResult" class="ui massive label"></div>
</div>

<!--VigenereCrypto interface -->
<div class="ui raised container segment">
  <h2 class="ui header">VigenereCryptosystem</h2>
  <div class="ui form">
    <div class="field">
      <div class="ui right pointing label">
        Sélectionnez un alphabet
      </div>
      <select [(ngModel)]="hill.alphabet" name="alphabet" class="ui search dropdown">
        <option value="Radix64Strings()">Radix64Strings()</option>
        <option value="AlphabeticStrings()">AlphabeticStrings()</option>
        <!--option value="BinaryStrings()">BinaryStrings()</option>
        <option value="HexadecimalStrings()">HexadecimalStrings()</option>
        option value="OctalStrings()">OctalStrings()</option-->
      </select>
    </div>
  </div>
  <br>
  <div class="inline field">
    <div class="ui right pointing label">
      Entrer le texte à crypté
    </div>
    <div class="ui input focus">
      <input [(ngModel)]="hill.text" name="hill" type="text">
    </div>
  </div>
  <br>
  <div class="inline field">
    <div class="ui right pointing label">
      Entrer la longueur de bloc de la clé
    </div>
    <div class="ui input focus">
      <input [(ngModel)]="hill.matriceSize" min="1" name="hillMatrice" type="number"> 
    </div>
  </div>
  <br>
  <div class="inline field">
    <div class="ui right pointing label">
      Entrer une clé appartenant à l'espace clé de ce chiffre de Vigenere
    </div>
    <div class="ui input focus">
      <input [(ngModel)]="hill.matriceSize" min="2" name="hillMatrice" type="text">
    </div>
  </div>
  <br>
  <div class="ui animated button" tabindex="0" (click)="crypter('vigenere')">
    <div class="visible content">Crypter</div>
    <div class="hidden content">
      <i class="right arrow icon"></i>
    </div>
  </div>
  <br>
  <br>
  <div class="ui bottom pointing label">
    Le resultat obtenu
  </div>
  <br>
  <div id="vigenereResult" class="ui massive label"></div>
</div>
<br>
<br>
